Page MenuHomePhabricator

Please add <aleph500.biblacad.ro:8991/> to $wgCopyUploadsDomains
Closed, ResolvedPublic

Description

Following a request via my Meta userpage ( https://meta.wikimedia.org/wiki/User_talk:Wittylama#Help_for_transfering_images_from_Europeana ) from the Romania community), to upload these 341 files from a Romanian artist visible in the Europeana portal ( https://www.europeana.eu/portal/en/collections/art?f%5BDATA_PROVIDER%5D%5B%5D=The+Romanian+Academy+Library&q=Nicolae+Grigorescu )

Please whitelist the domain of the Romanian academy where these files are hosted:

http://aleph500.biblacad.ro:8991/
Or possibly <aleph500.biblacad.ro> , I’m not quite sure how their website works...

An example file is aleph500.biblacad.ro:8991/exlibris/aleph/a20_1/apache_media/A9UCKVYCJ3F38YD2PDQLEVVK76HCQ1.jpg

Event Timeline

Restricted Application added subscribers: Bawolff, Aklapper. · View Herald TranscriptOct 22 2017, 9:56 AM
Zoranzoki21 moved this task from Backlog to Working on on the Wikimedia-Site-requests board.

Change 385829 had a related patch set uploaded (by Zoranzoki21; owner: Zoranzoki21):
[operations/mediawiki-config@master] Added <aleph500.biblacad.ro:8991/> to $wgCopyUploadsDomains

https://gerrit.wikimedia.org/r/385829

Change 385829 had a related patch set uploaded (by Zoranzoki21; owner: Zoranzoki21):
[operations/mediawiki-config@master] Added <aleph500.biblacad.ro:8991/> to $wgCopyUploadsDomains
https://gerrit.wikimedia.org/r/385829

Patch will be deployed in tomorrow SWAT between 13:00-14:00 UTC.

Change 385829 merged by jenkins-bot:
[operations/mediawiki-config@master] Add aleph500.biblacad.ro to $wgCopyUploadsDomains

https://gerrit.wikimedia.org/r/385829

hashar added a subscriber: hashar.EditedOct 23 2017, 1:19 PM

For one off uploads, we tend to privilege https://wikitech.wikimedia.org/wiki/Uploading_large_files . But I guess GLAMUploader is easier to the end users :]

Once the uploads have been completed, I guess we will want to drop the whitelist?

I have deployed the change and it whitelist aleph500.biblacad.ro (the port :8991 is ignored by MediaWiki).

Mentioned in SAL (#wikimedia-operations) [2017-10-23T13:19:39Z] <hashar@tin> Synchronized wmf-config/InitialiseSettings.php: Add aleph500.biblacad.ro to $wgCopyUploadsDomains - T178753 (duration: 00m 47s)

Zoranzoki21 closed this task as Resolved.Oct 25 2017, 6:18 PM
Zoranzoki21 triaged this task as Normal priority.

OK, because it is deployed, and all is ok, I will now close this task as resolved.